<?php
// Exit if accessed directly
if (!defined('ABSPATH')) {
    exit;
}

// Custom meta box html
wp_nonce_field('EZ_settings_meta_box', 'EZ_settings_meta_box_nonce');
$post_id = get_the_ID();
$button_hide_status = get_post_meta($post_id, '_EZ_button_hide_status', true);
?>
<p class="meta-options">
    <label for="EZ_button_hide_status" class="selectit">
        <input name="EZ_button_hide_status" type="checkbox" id="EZ_button_hide_status" value="1" <?php checked('1', esc_attr($button_hide_status)); ?>>
        <?php echo esc_html__('Disable profile button on this page', 'ez'); ?>
    </label>
</p>